import { NgModule } from '@angular/core';

import { DegreePlannerComponent } from './degree-planner.component';
import { SharedModule } from '@app/shared/shared.module';
import { DegreePlannerRoutingModule } from './degree-planner.routing.module';
import { TermContainerComponent } from './term-container/term-container.component';
import { SidenavMenuItemComponent } from './sidenav-menu-item/sidenav-menu-item.component';
import { SavedForLaterContainerComponent } from './favorites-container/favorites-container.component';
import { CourseItemComponent } from './shared/course-item/course-item.component';
import { NotesDialogComponent } from './dialogs/notes-dialog/notes-dialog.component';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { RemoveCourseConfirmDialogComponent } from './dialogs/remove-course-confirm-dialog/remove-course-confirm-dialog.component';
import { ModifyPlanDialogComponent } from './dialogs/modify-plan-dialog/modify-plan-dialog.component';

@NgModule({
  imports: [SharedModule, DragDropModule, DegreePlannerRoutingModule],
  exports: [DragDropModule],
  declarations: [
    DegreePlannerComponent,
    TermContainerComponent,
    CourseItemComponent,
    SidenavMenuItemComponent,
    SavedForLaterContainerComponent,
    NotesDialogComponent,
    RemoveCourseConfirmDialogComponent,
    ModifyPlanDialogComponent,
  ],
  entryComponents: [
    NotesDialogComponent,
    RemoveCourseConfirmDialogComponent,
    ModifyPlanDialogComponent,
  ],
})
export class DegreePlannerModule {}
