// Libraries
import { Component } from '@angular/core';
import { Store } from '@ngrx/store';

// State management
import { GlobalState } from '@app/core/state';
import { AddAcademicYearRequest } from '@app/degree-planner/store/actions/addAcademicYear.actions';

@Component({
  selector: 'cse-sidenav-menu-item',
  templateUrl: './sidenav-menu-item.component.html',
  styleUrls: ['./sidenav-menu-item.component.scss'],
})

export class SidenavMenuItemComponent {
  constructor(private store: Store<GlobalState>) {}

  public addAcademicYear() {
    this.store.dispatch(new AddAcademicYearRequest());
  }
}
