import { Action } from '@ngrx/store';
import { Note } from '@app/core/models/note';

export enum NoteActionTypes {
  WriteNote = '[Note] Write',
  WriteNoteSuccess = '[Note] Write (Success)',

  DeleteNote = '[Note] Delete',
  DeleteNoteSuccess = '[Note] Delete (Success)',

  NoteError = '[Note] Error',
}

export class WriteNote implements Action {
  public readonly type = NoteActionTypes.WriteNote;
  constructor(public payload: { termCode: string; noteText: string }) {}
}

export class WriteNoteSuccess implements Action {
  public readonly type = NoteActionTypes.WriteNoteSuccess;
  constructor(public payload: { updatedNote: Note }) {}
}

export class DeleteNote implements Action {
  public readonly type = NoteActionTypes.DeleteNote;
  constructor(public payload: { termCode: string }) {}
}

export class DeleteNoteSuccess implements Action {
  public readonly type = NoteActionTypes.DeleteNoteSuccess;
  constructor(public payload: { termCode: string }) {}
}

export class NoteError implements Action {
  public readonly type = NoteActionTypes.NoteError;
  constructor(public payload: { message: string; error: any }) {}
}
